Skip to navigation

Delete Token Delegation

View as Markdown

Delete the RFC 8693 token exchange callback for the tenant.

User must have authorization role with TENANT_ADMIN suffix in the URL {org}.

Subsequent Instance Metadata Service requests for the tenant revert to direct (non-delegated) signing by the Core gRPC API.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
siteIDstringRequiredformat: "uuid"
ID of the Site

Response

Token delegation deleted

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error